Description

Hello,

The function copyImageFromClipboard) targets the first file input of the page and may conflict with other plugins.

On our redmine instance we use the redmine_comments plugin (https://github.com/jbbarth/redmine_comments) that adds the ability

to write private note and create a new form.

We experienced a problem as shown in the image1 and image2 ,and when we click on comment as shown in image3

We managed to fix this issue, by replace the line

`var inputEl = $('input:file.filedrop').first();`

by

`var inputEl = $(this).closest("form").find('input:file.filedrop');`

Thank you for your help

Related issues:

Copied to Redmine - Defect #36887: copyImageFromClipboard function failed to ... Closed

Associated revisions

Revision 21540 - 2022-04-27 22:40 - Marius BĂLTEANU

Use closest form when copy image from clipboard (#36817).

Patch by Yazan Al aeddin.

Revision 21544 - 2022-04-28 07:36 - Marius BĂLTEANU

Merged r21540 to 5.0-stable (#36817).

Revision 21545 - 2022-04-28 07:37 - Marius BĂLTEANU

Merged r21540 to 4.2-stable (#36817).

History

#1 - 2022-03-22 07:59 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to Candidate for next minor release

#2 - 2022-03-28 23:06 - Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.2.6

#3 - 2022-04-04 09:25 - Simon Hori

- Copied to Defect #36887: copyImageFromClipboard function failed to generate a unique file name added

#4 - 2022-04-04 20:31 - Marius BĂLTEANU

I'm trying to reproduce the issue, but the plugin doesn't work on current trunk. Can you help me reproduce?

#5 - 2022-04-04 20:31 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee changed from Marius BĂLTEANU to Yazan Al aeddin
#6 - 2022-04-05 09:32 - Yazan Al aeddin

- File redmine_tiny_features.png added

Hello

Did you install the plugin (redmine_tiny_features)?

Because the bug is fixed by overriding the method (copyImageFromClipboard).

#7 - 2022-04-05 09:39 - Marius BĂLTEANU

Yazan Al aeddin wrote:

Hello

Did you install the plugin (redmine_tiny_features)?

Because the bug is fixed by overriding the method (copyImageFromClipboard).

 I only tried to install https://github.com/jbbarth/redmine_comments and I saw a new role permission, but nothing else in the UI.

#8 - 2022-04-05 09:42 - Yazan Al aeddin

Ok I'll see

#9 - 2022-04-05 09:50 - Yazan Al aeddin

Did you make (rake redmine:plugins:migrate)?

#10 - 2022-04-15 11:59 - Yazan Al aeddin

- File issue_36817.patch added

Hello

We propose this patch

Thank you for your help.

#11 - 2022-04-27 22:43 - Marius BĂLTEANU

- Category set to Attachments

- Status changed from Needs feedback to Resolved

- Resolution set to Fixed

Patch committed, thanks!

#12 - 2022-04-28 07:38 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Assignee changed from Yazan Al aeddin to Marius BĂLTEANU

#13 - 2022-04-28 07:38 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

Files

image1.png 86.5 KB 2022-03-21 Yazan Al aeddin

image2.png 68.1 KB 2022-03-21 Yazan Al aeddin

image3.png 60.8 KB 2022-03-21 Yazan Al aeddin

redmine_tiny_features.png 70.1 KB 2022-04-05 Yazan Al aeddin

issue_36817.patch 963 Bytes 2022-04-15 Yazan Al aeddin

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

https://github.com/jbbarth/redmine_comments
http://www.tcpdf.org

